# Generated by Django 4.2 on 2024-07-17 16:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0004_remove_wlmcategoryrule_sector_appcategory_sector'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='geocontext',
            options={'ordering': ['label']},
        ),
        migrations.RemoveField(
            model_name='monument',
            name='app_categories',
        ),
        migrations.AddField(
            model_name='monument',
            name='app_category',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.appcategory'),
        ),
        migrations.AddField(
            model_name='monument',
            name='data_categories',
            field=models.ManyToManyField(blank=True, to='main.datacategory'),
        ),
        migrations.CreateModel(
            name='Icon',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('icon', models.FileField(blank=True, null=True, upload_to='icons')),
                ('icon_pin_red', models.FileField(blank=True, null=True, upload_to='icons')),
                ('geo_context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='icons', to='main.geocontext')),
            ],
        ),
    ]
